{{log "currency-block.hbs this" this}}

<div class="general-header ars_clps{{#if (getViewState @root.actor.id " coins")}} ars_clps_on{{/if}}" data-vs-control="coins">{{ localize "ARS.coins"
    }}</div>
<div class="ars_clps_container">
    <div class="general-subheader flexrow currency-header">
        {{#if isNPC}}
        {{#if token}}
        {{#each actor.currency as |value coinType|}}
        <div data-tooltip="Total {{ localize (concat "ARS.currency.short." coinType) }} currency items carried by actor">
            {{ localize (concat "ARS.currency.short." coinType) }}
        </div>
        {{/each}}
        {{else}}
        {{#each actor.system.currency as |value coinType|}}
        <div data-tooltip="Total {{ localize (concat "ARS.currency.short." coinType) }} currency items carried by actor">
            {{ localize (concat "ARS.currency.short." coinType) }}
        </div>
        {{/each}}
        {{/if}}
        {{else}}
        {{#each actor.currency as |value coinType|}}
        <div data-tooltip="Total {{ localize (concat "ARS.currency.short." coinType) }} currency items carried by actor">
            {{ localize (concat "ARS.currency.short." coinType) }}
        </div>
        {{/each}}
        {{/if}}
    </div>

    {{!-- <div class="currency flexrow">
        {{#each actor.currency as |value coinType|}}
        <div class="flexrow">
            <div class="coin-value">
                {{#if @root.isNPC }}
                {{#if @root.token}}
                <label>{{value}}</label>
                {{else}}
                {{log "currency-block.hbs value" value}}
                {{log "currency-block.hbs coinType" coinType}}
                <input class="coins" name="system.currency.{{coinType}}" type="text" value="{{value}}" />
                {{/if}}
                {{else}}
                <label>{{value}}</label>
                {{/if}}
            </div>
        </div>
        {{/each}}
    </div>
    --}}

    <div class="currency container-border flexrow">
        {{#if isNPC }}
        {{#if token}}
        {{!-- npc that is a token uses the currency objects --}}
        {{#each actor.currency as |value coinType|}}
        <div class="flexrow">
            <div class="coin-value">
                <label>{{value}}</label>
            </div>
        </div>
        {{/each}}
        {{else}}
        {{!-- if the npc is not a token then we allow formula in the system.currency that will be created when placed on map --}}
        {{#each actor.system.currency as |value coinType|}}
        <div class="flexrow">
            <div class="coin-value">
                {{!-- {{log "currency-block.hbs value" value}}
                {{log "currency-block.hbs coinType" coinType}} --}}
                <input class="coins" name="system.currency.{{coinType}}" type="text" value="{{value}}" />
            </div>
        </div>
        {{/each}}
        {{/if}}
        {{else}}
        {{!-- non-npcs just get a listing of their currency values --}}
        {{#each actor.currency as |value coinType|}}
        <div class="flexrow">
            <div class="coin-value">
                <label>{{value}}</label>
            </div>
        </div>
        {{/each}}
        {{/if}}
    </div>
</div>